﻿using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Windows;

namespace WpfAutoZoom
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : INotifyPropertyChanged
    {
        private const int OriginalHeight = 200;
        private const int OriginalWidth = 300;

        public MainWindow()
        {
            InitializeComponent();
            LayoutRoot.DataContext = this;
            Width = OriginalWidth;
            Height = OriginalHeight;
        }

        private decimal _scale = 1;

        public decimal Scale
        {
            get => _scale;
            set
            {
                _scale = value;
                OnPropertyChanged();
            }
        }

        private void MainWindow_OnSizeChanged(object sender, SizeChangedEventArgs e)
        {
            Scale = (decimal) (e.NewSize.Height / OriginalHeight);
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }   
    }
}
